#### PyKDE - Python Bindings for KDE

# class DOM.CSSMediaRule |
Table of contents
Modules
khtml Classes
All Classes

Module | khtml
Class | DOM.CSSMediaRule
Inherits | DOM.CSSRule

### methods

- CSSMediaRule ()

  returns a CSSMediaRule instance

- CSSMediaRule (other)

  returns a CSSMediaRule instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.CSSMediaRule |

- CSSMediaRule (other)

  returns a CSSMediaRule instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.CSSRule |

- CSSMediaRule (impl)

  Not Implemented

- cssRules ()

  returns (DOM.CSSRuleList)

- deleteRule (index)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  index | ulong |

- insertRule (rule, index)

  returns (ulong)
  Argument | Type | Default
  --- | --- | ---
  rule | DOM.DOMString |
  index | ulong |

- media ()

  returns (DOM.MediaList)